Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.runtime
Class RequestRuntime

    java.lang.Object
      com.bea.dsp.management.runtime.RequestRuntime

All Implemented Interfaces:
  java.io.Serializable

    public class RequestRuntime

extends java.lang.Object
implements java.io.Serializable

Provides runtime information about client requests.

Backwards compatibility: DSP2.5 SDO submit requests are modeled by this class as `EXECUTE`, `FUNCTION` requests with the function name set to "submit" and arity set to 0.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `RequestRuntime.Action` The action performed by the request.
`static class` | `RequestRuntime.DomainWideRequestId` Domain-wide request id.
`static class` | `RequestRuntime.Target` The entity on which the action expressed by the request is performed.

Field Summary
`static int` | `ADHOC_QUERY` Deprecated. Use Action and Target instead.
`static int` | `QUERY_FUNCTION` Deprecated. Use Action and Target instead.
`static javax.xml.namespace.QName` | `SUBMIT`
`static int` | `UPDATE_REQUEST` Deprecated. Use Action and Target instead.

Constructor Summary
`RequestRuntime(java.lang.String instanceID, java.lang.String serverName, boolean compileOnly, boolean hasSideEffects, boolean isDSP25, java.lang.String body, javax.xml.namespace.QName functionName, int arity, java.lang.String issuerName, java.util.Date startTime, long runningTime)`
`RequestRuntime(java.lang.String instanceID, java.lang.String serverName, boolean compileOnly, boolean hasSideEffects, boolean isDSP25, java.lang.String body, java.lang.String dsName, javax.xml.namespace.QName functionName, int arity, java.lang.String issuerName, java.util.Date startTime, long runningTime, int kind)`

Method Summary
`RequestRuntime.Action` | `getAction()`
`int` | `getArity()`
`java.lang.String` | `getBody()`
`RequestRuntime.DomainWideRequestId` | `getDomainWideRequestId()`
`java.lang.String` | `getDSName()` Applicable only to function invocation requests.
`javax.xml.namespace.QName` | `getFunctionName()` Applicable only to function invocation requests.
`java.lang.String` | `getIssuerName()`
`int` | `getKind()` Deprecated. Use `getRequestType()` and `getRequestTarget()` instead.
`long` | `getRunningTime()`
`java.util.Date` | `getStartTime()`
`RequestRuntime.Target` | `getTarget()`
`boolean` | `hasSideEffects()`
`boolean` | `isDSP25()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUBMIT

    public static final javax.xml.namespace.QName SUBMIT

### ADHOC_QUERY

    public static final int ADHOC_QUERY

  Deprecated. Use Action and Target instead.
  See Also:
    Constant Field Values

### QUERY_FUNCTION

    public static final int QUERY_FUNCTION

  Deprecated. Use Action and Target instead.
  See Also:
    Constant Field Values

### UPDATE_REQUEST

    public static final int UPDATE_REQUEST

  Deprecated. Use Action and Target instead.
  See Also:
    Constant Field Values

Constructor Detail

### RequestRuntime

    public RequestRuntime(java.lang.String instanceID,
                          java.lang.String serverName,
                          boolean compileOnly,
                          boolean hasSideEffects,
                          boolean isDSP25,
                          java.lang.String body,
                          java.lang.String dsName,
                          javax.xml.namespace.QName functionName,
                          int arity,
                          java.lang.String issuerName,
                          java.util.Date startTime,
                          long runningTime,
                          int kind)

Parameters:
  `instanceID` - A unique request id per server. May not be `null`.
  `serverName` - The name of the server serving this request. May not be `null`.
  `compileOnly` - `true` if this request is a `GET_PLAN` request; `false` otherwise.
  `hasSideEffects` - `true` if this request may have side-effects; otherwise, `false`.
  `isDSP25` - `true` if this request is a submit DSP25 request; otherwise, `false`.
  `body` - Not `null` if this is an `ADHOC` request; `null` otherwise.
  `dsName` - The name of the dataservice defining the function if this is a `FUNCTION` request; `null` otherwise.
  `functionName` - The function name if this is a `FUNCTION` request; `null` otherwise.
  `arity` - The function arity if this is a `FUNCTION` request; The number of bound external variables if this is an `ADHOC` request;
  `issuerName` - The user name associated with the request.
  `startTime` - The time at which the request was submitted. May not be `null`.
  `runningTime` - The time since which the request was submitted (in milliseconds).
  `kind` - The request kind.

### RequestRuntime

    public RequestRuntime(java.lang.String instanceID,
                          java.lang.String serverName,
                          boolean compileOnly,
                          boolean hasSideEffects,
                          boolean isDSP25,
                          java.lang.String body,
                          javax.xml.namespace.QName functionName,
                          int arity,
                          java.lang.String issuerName,
                          java.util.Date startTime,
                          long runningTime)

Method Detail

### getDomainWideRequestId

    public RequestRuntime.DomainWideRequestId getDomainWideRequestId()

### getKind

    public int getKind()

  Deprecated. Use `getRequestType()` and `getRequestTarget()` instead.

  Returns:
    The kind of this request.

### getAction

    public RequestRuntime.Action getAction()

  Returns:
    The action performed by the request. May not be `null`.

### getTarget

    public RequestRuntime.Target getTarget()

  Returns:
    The entity on which the action expressed by the request is performed. May not be `null`.

### hasSideEffects

    public boolean hasSideEffects()

  Returns:
    `true` if this request may have side-effects; otherwise, `false`.

### isDSP25

    public boolean isDSP25()

  Returns:
    `true` if this request is a submit DSP25 request; otherwise, `false`.

### getBody

    public java.lang.String getBody()

  Returns:
    The adhoc request body, if the request kind is `ADHOC`; otherwise, `null`.

### getDSName

    public java.lang.String getDSName()

  Applicable only to function invocation requests.

  Returns:
    The name of the data service defining the function in this request, if the request content is `FUNCTION`; `null` otherwise (i.e. if the request content is `ADHOC`).

### getFunctionName

    public javax.xml.namespace.QName getFunctionName()

  Applicable only to function invocation requests.

  Returns:
    The function name if this request content is `FUNCTION`; `null` otherwise (i.e. if the request content is `ADHOC`).

### getArity

    public int getArity()

  Returns:
    The function arity if this request is a function invocation request. The number of bound external variables if this request is an ad-hoc query.

### getIssuerName

    public java.lang.String getIssuerName()

  Returns:
    The user name associated with the request.

### getStartTime

    public java.util.Date getStartTime()

  Returns:
    The time at which the request was submitted. May not be `null`.

### getRunningTime

    public long getRunningTime()

  Returns:
    The time since which the request was submitted (in milliseconds).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.